Get all event types

cURL

curl --request GET \
  --url https://api.cal.com/v2/event-types \
  --header 'cal-api-version: 2024-06-14'

Response

200

{
  "status": "success",
  "data": [
    {
      "id": 1,
      "lengthInMinutes": 60,
      "title": "Learn the secrets of masterchief!",
      "slug": "learn-the-secrets-of-masterchief",
      "description": "Discover the culinary wonders of Argentina by making the best flan ever!",
      "locations": [
        {
          "type": "address",
          "address": "123 Example St, City, Country",
          "public": true
        }
      ],
      "bookingFields": [
        {
          "type": "name",
          "label": "<string>",
          "placeholder": "<string>",
          "isDefault": true,
          "slug": "name",
          "required": true,
          "disableOnPrefill": true
        }
      ],
      "disableGuests": true,
      "recurrence": {
        "interval": 10,
        "occurrences": 10,
        "frequency": "yearly"
      },
      "metadata": {},
      "price": 123,
      "currency": "<string>",
      "lockTimeZoneToggleOnBookingPage": true,
      "forwardParamsSuccessRedirect": true,
      "successRedirectUrl": "<string>",
      "isInstantEvent": true,
      "scheduleId": 123,
      "hidden": true,
      "bookingRequiresAuthentication": true,
      "ownerId": 10,
      "users": [
        {
          "id": 123,
          "name": "<string>",
          "username": "<string>",
          "avatarUrl": "<string>",
          "weekStart": "<string>",
          "brandColor": "<string>",
          "darkBrandColor": "<string>",
          "metadata": {}
        }
      ],
      "bookingUrl": "https://cal.com/john-doe/30min",
      "lengthInMinutesOptions": [
        15,
        30,
        60
      ],
      "slotInterval": 60,
      "minimumBookingNotice": 0,
      "beforeEventBuffer": 0,
      "afterEventBuffer": 0,
      "seatsPerTimeSlot": 123,
      "seatsShowAvailabilityCount": true,
      "bookingLimitsCount": {
        "day": 1,
        "week": 2,
        "month": 3,
        "year": 4
      },
      "bookerActiveBookingsLimit": {
        "maximumActiveBookings": 3,
        "offerReschedule": true
      },
      "onlyShowFirstAvailableSlot": true,
      "bookingLimitsDuration": {
        "day": 60,
        "week": 120,
        "month": 180,
        "year": 240
      },
      "bookingWindow": [
        {
          "type": "businessDays",
          "value": 5,
          "rolling": true
        }
      ],
      "bookerLayouts": {
        "defaultLayout": "month",
        "enabledLayouts": [
          "month"
        ]
      },
      "confirmationPolicy": {
        "type": "always",
        "blockUnconfirmedBookingsInBooker": true,
        "noticeThreshold": {
          "unit": "minutes",
          "count": 30
        }
      },
      "requiresBookerEmailVerification": true,
      "hideCalendarNotes": true,
      "color": {
        "lightThemeHex": "#292929",
        "darkThemeHex": "#fafafa"
      },
      "seats": {
        "seatsPerTimeSlot": 4,
        "showAttendeeInfo": true,
        "showAvailabilityCount": true
      },
      "offsetStart": 123,
      "customName": "<string>",
      "destinationCalendar": {
        "integration": "<string>",
        "externalId": "<string>"
      },
      "useDestinationCalendarEmail": true,
      "hideCalendarEventDetails": true,
      "hideOrganizerEmail": true,
      "calVideoSettings": {
        "disableRecordingForOrganizer": true,
        "disableRecordingForGuests": true,
        "redirectUrlOnExit": "<string>",
        "enableAutomaticRecordingForOrganizer": true,
        "enableAutomaticTranscription": true,
        "disableTranscriptionForGuests": true,
        "disableTranscriptionForOrganizer": true,
        "sendTranscriptionEmails": true
      },
      "disableCancelling": {
        "disabled": true
      },
      "disableRescheduling": {
        "disabled": true,
        "minutesBefore": 60
      },
      "interfaceLanguage": "<string>",
      "allowReschedulingPastBookings": true,
      "allowReschedulingCancelledBookings": true,
      "showOptimizedSlots": true
    }
  ]
}

Headers

Header Type Description
cal-api-version string Must be set to 2024-06-14. If not set to this value, the endpoint will default to an older version.
Authorization string value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
x-cal-secret-key string For platform customers - OAuth client secret key
x-cal-client-id string For platform customers - OAuth client ID

Query Parameters

Parameter Type Description
username string The username of the user to get event types for.
eventSlug string Slug of event type to return.
usernames string Get dynamic event type for multiple usernames separated by comma.
orgSlug string slug of the user's organization
orgId number ID of the organization of the user
sortCreatedAt enum Sort event types by creation date.

Response

200 - application/json

Field Type Description
status enum Available options: success, error.
data object Show child attributes.